/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.kinako.object;

/**
 * 検索条件オブジェクト
 * SearchFormの内容をコピーした，単なるbean
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.2 $
 */
public class SearchCondition {
	/** 検索キーワード */
	private String keyword;
	/** 表示開始の検索結果連番 */
	private int startIndex;
	/** 表示終了の検索結果連番 */
	private int endIndex;

	/**
	 * 検索キーワードを返す
	 * @return 検索キーワード
	 */
	public String getKeyword() {
		return keyword;
	}

	/**
	 * 検索キーワードを設定する
	 * @param string 検索キーワード
	 */
	public void setKeyword(String string) {
		keyword = string;
	}
	/**
	 * 表示終了の検索結果連番を返す
	 * @return 検索結果連番
	 */
	public int getEndIndex() {
		return endIndex;
	}

	/**
	 * 表示開始の検索結果連番を返す
	 * @return 検索結果連番
	 */
	public int getStartIndex() {
		return startIndex;
	}

	/**
	 * 表示終了の検索結果連番を設定する
	 * @param i 検索結果連番
	 */
	public void setEndIndex(int i) {
		endIndex = i;
	}

	/**
	 * 表示開始の検索結果連番を設定する
	 * @param i 検索結果連番
	 */
	public void setStartIndex(int i) {
		startIndex = i;
	}

}
